Create Result
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/results \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"isSessionVariable": true
}
],
"isCompleted": true,
"hasStarted": true,
"isArchived": true,
"lastChatSessionId": "<string>"
},
"hasReachedLimit": true
}{
"error": "<string>",
"message": "<string>"
}Results
Create Result
Create a new result.
POST
/
v3
/
bots
/
{botId}
/
results
Create Result
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/results \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"result": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"variables": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"isSessionVariable": true
}
],
"isCompleted": true,
"hasStarted": true,
"isArchived": true,
"lastChatSessionId": "<string>"
},
"hasReachedLimit": true
}{
"error": "<string>",
"message": "<string>"
}